org.keycloak.subsystem.logging

## Interface KeycloakLogger

- All Superinterfaces:
    org.jboss.logging.BasicLogger

      @MessageLogger(projectCode="KEYCLOAK")
      public interface KeycloakLogger
      extends org.jboss.logging.BasicLogger

  This interface to be fleshed out later when error messages are fully externalized.
  Author:
    Stan Silvert ssilvert@redhat.com (C) 2013 Red Hat Inc.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static KeycloakLogger` | `ROOT_LOGGER` A logger with a category of the package name.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deploymentSecured(String deployment)`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Field Detail

    - #### ROOT_LOGGER

          static final KeycloakLogger ROOT_LOGGER

      A logger with a category of the package name.

  - ### Method Detail

    - #### deploymentSecured

          @LogMessage(level=INFO)
          @Message(value="Keycloak subsystem override for deployment %s")
          void deploymentSecured(String deployment)

Copyright © 2015. All Rights Reserved.